%bcond_without check

%global goipath         github.com/streadway/handy
%global commit          0f66f006fb2ebde51f4ce769641df75d602989e7

%gometa

%global common_description %{expand:
Collection of useful HTTP handlers that form a handler stack of filters. Many
are opinionated for a specific purpose.}


%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Net/http handler filters

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d retry
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.git0f66f00
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
